Runtime

## org.eclipse.gmf.runtime.notation.impl
Class NotationPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.runtime.notation.impl.NotationPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, NotationPackage

    public class NotationPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements NotationPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.gmf.runtime.notation.NotationPackage
`NotationPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.runtime.notation.NotationPackage

`ALIGNMENT, ANCHOR, ANCHOR_FEATURE_COUNT, ARROW_STYLE, ARROW_STYLE__ARROW_SOURCE, ARROW_STYLE__ARROW_TARGET, ARROW_STYLE_FEATURE_COUNT, ARROW_TYPE, BASIC_COMPARTMENT, BASIC_COMPARTMENT__COLLAPSED, BASIC_COMPARTMENT__DIAGRAM, BASIC_COMPARTMENT__EANNOTATIONS, BASIC_COMPARTMENT__ELEMENT, BASIC_COMPARTMENT__LAYOUT_CONSTRAINT, BASIC_COMPARTMENT__MUTABLE, BASIC_COMPARTMENT__PERSISTED_CHILDREN, BASIC_COMPARTMENT__SOURCE_EDGES, BASIC_COMPARTMENT__STYLES, BASIC_COMPARTMENT__TARGET_EDGES, BASIC_COMPARTMENT__TRANSIENT_CHILDREN, BASIC_COMPARTMENT__TYPE, BASIC_COMPARTMENT__VISIBLE, BASIC_COMPARTMENT_FEATURE_COUNT, BASIC_DECORATION_NODE, BASIC_DECORATION_NODE__DIAGRAM, BASIC_DECORATION_NODE__EANNOTATIONS, BASIC_DECORATION_NODE__ELEMENT, BASIC_DECORATION_NODE__LAYOUT_CONSTRAINT, BASIC_DECORATION_NODE__MUTABLE, BASIC_DECORATION_NODE__PERSISTED_CHILDREN, BASIC_DECORATION_NODE__SOURCE_EDGES, BASIC_DECORATION_NODE__STYLES, BASIC_DECORATION_NODE__TARGET_EDGES, BASIC_DECORATION_NODE__TRANSIENT_CHILDREN, BASIC_DECORATION_NODE__TYPE, BASIC_DECORATION_NODE__VISIBLE, BASIC_DECORATION_NODE_FEATURE_COUNT, BASIC_SEMANTIC_COMPARTMENT, BASIC_SEMANTIC_COMPARTMENT__COLLAPSED, BASIC_SEMANTIC_COMPARTMENT__DIAGRAM, BASIC_SEMANTIC_COMPARTMENT__EANNOTATIONS, BASIC_SEMANTIC_COMPARTMENT__ELEMENT, BASIC_SEMANTIC_COMPARTMENT__LAYOUT_CONSTRAINT, BASIC_SEMANTIC_COMPARTMENT__MUTABLE, BASIC_SEMANTIC_COMPARTMENT__PERSISTED_CHILDREN, BASIC_SEMANTIC_COMPARTMENT__SOURCE_EDGES, BASIC_SEMANTIC_COMPARTMENT__STYLES, BASIC_SEMANTIC_COMPARTMENT__TARGET_EDGES, BASIC_SEMANTIC_COMPARTMENT__TRANSIENT_CHILDREN, BASIC_SEMANTIC_COMPARTMENT__TYPE, BASIC_SEMANTIC_COMPARTMENT__VISIBLE, BASIC_SEMANTIC_COMPARTMENT_FEATURE_COUNT, BENDPOINTS, BENDPOINTS_FEATURE_COUNT, BOOLEAN_LIST_VALUE_STYLE, BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE, BOOLEAN_LIST_VALUE_STYLE__NAME, BOOLEAN_LIST_VALUE_STYLE_FEATURE_COUNT, BOOLEAN_VALUE_STYLE, BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE, BOOLEAN_VALUE_STYLE__NAME, BOOLEAN_VALUE_STYLE_FEATURE_COUNT, BOUNDS, BOUNDS__HEIGHT, BOUNDS__WIDTH, BOUNDS__X, BOUNDS__Y, BOUNDS_FEATURE_COUNT, BYTE_ARRAY_VALUE_STYLE, BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE, BYTE_ARRAY_VALUE_STYLE__NAME, BYTE_ARRAY_VALUE_STYLE_FEATURE_COUNT, CANONICAL_STYLE, CANONICAL_STYLE__CANONICAL, CANONICAL_STYLE_FEATURE_COUNT, COMPARTMENT, COMPARTMENT__CANONICAL, COMPARTMENT__COLLAPSED, COMPARTMENT__DIAGRAM, COMPARTMENT__EANNOTATIONS, COMPARTMENT__ELEMENT, COMPARTMENT__LAYOUT_CONSTRAINT, COMPARTMENT__MUTABLE, COMPARTMENT__PERSISTED_CHILDREN, COMPARTMENT__SHOW_TITLE, COMPARTMENT__SOURCE_EDGES, COMPARTMENT__STYLES, COMPARTMENT__TARGET_EDGES, COMPARTMENT__TRANSIENT_CHILDREN, COMPARTMENT__TYPE, COMPARTMENT__VISIBLE, COMPARTMENT_FEATURE_COUNT, CONNECTOR, CONNECTOR__AVOID_OBSTRUCTIONS, CONNECTOR__BENDPOINTS, CONNECTOR__CLOSEST_DISTANCE, CONNECTOR__DIAGRAM, CONNECTOR__EANNOTATIONS, CONNECTOR__ELEMENT, CONNECTOR__JUMP_LINK_STATUS, CONNECTOR__JUMP_LINK_TYPE, CONNECTOR__JUMP_LINKS_REVERSE, CONNECTOR__LINE_COLOR, CONNECTOR__LINE_WIDTH, CONNECTOR__MUTABLE, CONNECTOR__PERSISTED_CHILDREN, CONNECTOR__ROUNDED_BENDPOINTS_RADIUS, CONNECTOR__ROUTING, CONNECTOR__SMOOTHNESS, CONNECTOR__SOURCE, CONNECTOR__SOURCE_ANCHOR, CONNECTOR__SOURCE_EDGES, CONNECTOR__STYLES, CONNECTOR__TARGET, CONNECTOR__TARGET_ANCHOR, CONNECTOR__TARGET_EDGES, CONNECTOR__TRANSIENT_CHILDREN, CONNECTOR__TYPE, CONNECTOR__VISIBLE, CONNECTOR_FEATURE_COUNT, CONNECTOR_STYLE, CONNECTOR_STYLE__AVOID_OBSTRUCTIONS, CONNECTOR_STYLE__CLOSEST_DISTANCE, CONNECTOR_STYLE__JUMP_LINK_STATUS, CONNECTOR_STYLE__JUMP_LINK_TYPE, CONNECTOR_STYLE__JUMP_LINKS_REVERSE, CONNECTOR_STYLE__LINE_COLOR, CONNECTOR_STYLE__LINE_WIDTH, CONNECTOR_STYLE__ROUNDED_BENDPOINTS_RADIUS, CONNECTOR_STYLE__ROUTING, CONNECTOR_STYLE__SMOOTHNESS, CONNECTOR_STYLE_FEATURE_COUNT, DATA_TYPE_STYLE, DATA_TYPE_STYLE__INSTANCE_TYPE, DATA_TYPE_STYLE__NAME, DATA_TYPE_STYLE_FEATURE_COUNT, DECORATION_NODE, DECORATION_NODE__DIAGRAM, DECORATION_NODE__EANNOTATIONS, DECORATION_NODE__ELEMENT, DECORATION_NODE__LAYOUT_CONSTRAINT, DECORATION_NODE__MUTABLE, DECORATION_NODE__PERSISTED_CHILDREN, DECORATION_NODE__SOURCE_EDGES, DECORATION_NODE__STYLES, DECORATION_NODE__TARGET_EDGES, DECORATION_NODE__TRANSIENT_CHILDREN, DECORATION_NODE__TYPE, DECORATION_NODE__VISIBLE, DECORATION_NODE_FEATURE_COUNT, DESCRIPTION_STYLE, DESCRIPTION_STYLE__DESCRIPTION, DESCRIPTION_STYLE_FEATURE_COUNT, DIAGRAM, DIAGRAM__DIAGRAM, DIAGRAM__EANNOTATIONS, DIAGRAM__ELEMENT, DIAGRAM__MEASUREMENT_UNIT, DIAGRAM__MUTABLE, DIAGRAM__NAME, DIAGRAM__PERSISTED_CHILDREN, DIAGRAM__PERSISTED_EDGES, DIAGRAM__SOURCE_EDGES, DIAGRAM__STYLES, DIAGRAM__TARGET_EDGES, DIAGRAM__TRANSIENT_CHILDREN, DIAGRAM__TRANSIENT_EDGES, DIAGRAM__TYPE, DIAGRAM__VISIBLE, DIAGRAM_FEATURE_COUNT, DIAGRAM_LINK_STYLE, DIAGRAM_LINK_STYLE__DIAGRAM_LINK, DIAGRAM_LINK_STYLE_FEATURE_COUNT, DIAGRAM_STYLE, DIAGRAM_STYLE__DESCRIPTION, DIAGRAM_STYLE__HORIZONTAL_GUIDES, DIAGRAM_STYLE__PAGE_HEIGHT, DIAGRAM_STYLE__PAGE_WIDTH, DIAGRAM_STYLE__PAGE_X, DIAGRAM_STYLE__PAGE_Y, DIAGRAM_STYLE__VERTICAL_GUIDES, DIAGRAM_STYLE_FEATURE_COUNT, DOUBLE_LIST_VALUE_STYLE, DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE, DOUBLE_LIST_VALUE_STYLE__NAME, DOUBLE_LIST_VALUE_STYLE_FEATURE_COUNT, DOUBLE_VALUE_STYLE, DOUBLE_VALUE_STYLE__DOUBLE_VALUE, DOUBLE_VALUE_STYLE__NAME, DOUBLE_VALUE_STYLE_FEATURE_COUNT, DRAWER_STYLE, DRAWER_STYLE__COLLAPSED, DRAWER_STYLE_FEATURE_COUNT, EDGE, EDGE__BENDPOINTS, EDGE__DIAGRAM, EDGE__EANNOTATIONS, EDGE__ELEMENT, EDGE__MUTABLE, EDGE__PERSISTED_CHILDREN, EDGE__SOURCE, EDGE__SOURCE_ANCHOR, EDGE__SOURCE_EDGES, EDGE__STYLES, EDGE__TARGET, EDGE__TARGET_ANCHOR, EDGE__TARGET_EDGES, EDGE__TRANSIENT_CHILDREN, EDGE__TYPE, EDGE__VISIBLE, EDGE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EOBJECT_LIST_VALUE_STYLE, EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE, EOBJECT_LIST_VALUE_STYLE__NAME, EOBJECT_LIST_VALUE_STYLE_FEATURE_COUNT, EOBJECT_VALUE_STYLE, EOBJECT_VALUE_STYLE__EOBJECT_VALUE, EOBJECT_VALUE_STYLE__NAME, EOBJECT_VALUE_STYLE_FEATURE_COUNT, FILL_STYLE, FILL_STYLE__FILL_COLOR, FILL_STYLE__GRADIENT, FILL_STYLE__TRANSPARENCY, FILL_STYLE_FEATURE_COUNT, FILTER_KEY_LIST, FILTERING, FILTERING_STYLE, FILTERING_STYLE__FILTERED_OBJECTS, FILTERING_STYLE__FILTERING, FILTERING_STYLE__FILTERING_KEYS, FILTERING_STYLE_FEATURE_COUNT, FONT_STYLE, FONT_STYLE__BOLD, FONT_STYLE__FONT_COLOR, FONT_STYLE__FONT_HEIGHT, FONT_STYLE__FONT_NAME, FONT_STYLE__ITALIC, FONT_STYLE__STRIKE_THROUGH, FONT_STYLE__UNDERLINE, FONT_STYLE_FEATURE_COUNT, GRADIENT_DATA, GRADIENT_STYLE, GUIDE, GUIDE__NODE_MAP, GUIDE__POSITION, GUIDE_FEATURE_COUNT, GUIDE_STYLE, GUIDE_STYLE__HORIZONTAL_GUIDES, GUIDE_STYLE__VERTICAL_GUIDES, GUIDE_STYLE_FEATURE_COUNT, HINTED_DIAGRAM_LINK_STYLE, HINTED_DIAGRAM_LINK_STYLE__DIAGRAM_LINK, HINTED_DIAGRAM_LINK_STYLE__HINT, HINTED_DIAGRAM_LINK_STYLE_FEATURE_COUNT, IDENTITY_ANCHOR, IDENTITY_ANCHOR__ID, IDENTITY_ANCHOR_FEATURE_COUNT, IMAGE, IMAGE__DATA, IMAGE_BUFFER_STYLE, IMAGE_BUFFER_STYLE__ANTI_ALIAS, IMAGE_BUFFER_STYLE__CROP_BOUND, IMAGE_BUFFER_STYLE__IMAGE_BUFFER, IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO, IMAGE_BUFFER_STYLE_FEATURE_COUNT, IMAGE_FEATURE_COUNT, IMAGE_STYLE, IMAGE_STYLE__ANTI_ALIAS, IMAGE_STYLE__CROP_BOUND, IMAGE_STYLE__MAINTAIN_ASPECT_RATIO, IMAGE_STYLE_FEATURE_COUNT, INT_LIST_VALUE_STYLE, INT_LIST_VALUE_STYLE__INT_LIST_VALUE, INT_LIST_VALUE_STYLE__NAME, INT_LIST_VALUE_STYLE_FEATURE_COUNT, INT_VALUE_STYLE, INT_VALUE_STYLE__INT_VALUE, INT_VALUE_STYLE__NAME, INT_VALUE_STYLE_FEATURE_COUNT, JUMP_LINK_STATUS, JUMP_LINK_TYPE, LAYOUT_CONSTRAINT, LAYOUT_CONSTRAINT_FEATURE_COUNT, LINE_STYLE, LINE_STYLE__LINE_COLOR, LINE_STYLE__LINE_WIDTH, LINE_STYLE_FEATURE_COUNT, LINE_TYPE, LINE_TYPE_STYLE, LINE_TYPE_STYLE__LINE_TYPE, LINE_TYPE_STYLE_FEATURE_COUNT, LIST_COMPARTMENT, LIST_COMPARTMENT__COLLAPSED, LIST_COMPARTMENT__DIAGRAM, LIST_COMPARTMENT__EANNOTATIONS, LIST_COMPARTMENT__ELEMENT, LIST_COMPARTMENT__FILTERED_OBJECTS, LIST_COMPARTMENT__FILTERING, LIST_COMPARTMENT__FILTERING_KEYS, LIST_COMPARTMENT__LAYOUT_CONSTRAINT, LIST_COMPARTMENT__MUTABLE, LIST_COMPARTMENT__PERSISTED_CHILDREN, LIST_COMPARTMENT__SHOW_TITLE, LIST_COMPARTMENT__SORTED_OBJECTS, LIST_COMPARTMENT__SORTING, LIST_COMPARTMENT__SORTING_KEYS, LIST_COMPARTMENT__SOURCE_EDGES, LIST_COMPARTMENT__STYLES, LIST_COMPARTMENT__TARGET_EDGES, LIST_COMPARTMENT__TRANSIENT_CHILDREN, LIST_COMPARTMENT__TYPE, LIST_COMPARTMENT__VISIBLE, LIST_COMPARTMENT_FEATURE_COUNT, LIST_VALUE_STYLE, LIST_VALUE_STYLE__INSTANCE_TYPE, LIST_VALUE_STYLE__NAME, LIST_VALUE_STYLE__RAW_VALUES_LIST, LIST_VALUE_STYLE_FEATURE_COUNT, LOCATION, LOCATION__X, LOCATION__Y, LOCATION_FEATURE_COUNT, MEASUREMENT_UNIT, MULTI_DIAGRAM_LINK_STYLE, MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS, MULTI_DIAGRAM_LINK_STYLE_FEATURE_COUNT, NAMED_STYLE, NAMED_STYLE__NAME, NAMED_STYLE_FEATURE_COUNT, NODE, NODE__DIAGRAM, NODE__EANNOTATIONS, NODE__ELEMENT, NODE__LAYOUT_CONSTRAINT, NODE__MUTABLE, NODE__PERSISTED_CHILDREN, NODE__SOURCE_EDGES, NODE__STYLES, NODE__TARGET_EDGES, NODE__TRANSIENT_CHILDREN, NODE__TYPE, NODE__VISIBLE, NODE_ENTRY, NODE_ENTRY__KEY, NODE_ENTRY__VALUE, NODE_ENTRY_FEATURE_COUNT, NODE_FEATURE_COUNT, PAGE_STYLE, PAGE_STYLE__PAGE_HEIGHT, PAGE_STYLE__PAGE_WIDTH, PAGE_STYLE__PAGE_X, PAGE_STYLE__PAGE_Y, PAGE_STYLE_FEATURE_COUNT, PROPERTIES_SET_STYLE, PROPERTIES_SET_STYLE__NAME, PROPERTIES_SET_STYLE__PROPERTIES_MAP, PROPERTIES_SET_STYLE_FEATURE_COUNT, PROPERTY_VALUE, PROPERTY_VALUE__INSTANCE_TYPE, PROPERTY_VALUE__RAW_VALUE, PROPERTY_VALUE_FEATURE_COUNT, RATIO, RATIO__VALUE, RATIO_FEATURE_COUNT, RELATIVE_BENDPOINT_LIST, RELATIVE_BENDPOINTS, RELATIVE_BENDPOINTS__POINTS, RELATIVE_BENDPOINTS_FEATURE_COUNT, ROUNDED_CORNERS_STYLE, ROUNDED_CORNERS_STYLE__ROUNDED_BENDPOINTS_RADIUS, ROUNDED_CORNERS_STYLE_FEATURE_COUNT, ROUTING, ROUTING_STYLE, ROUTING_STYLE__AVOID_OBSTRUCTIONS, ROUTING_STYLE__CLOSEST_DISTANCE, ROUTING_STYLE__JUMP_LINK_STATUS, ROUTING_STYLE__JUMP_LINK_TYPE, ROUTING_STYLE__JUMP_LINKS_REVERSE, ROUTING_STYLE__ROUNDED_BENDPOINTS_RADIUS, ROUTING_STYLE__ROUTING, ROUTING_STYLE__SMOOTHNESS, ROUTING_STYLE_FEATURE_COUNT, SEMANTIC_LIST_COMPARTMENT, SEMANTIC_LIST_COMPARTMENT__COLLAPSED, SEMANTIC_LIST_COMPARTMENT__DIAGRAM, SEMANTIC_LIST_COMPARTMENT__EANNOTATIONS, SEMANTIC_LIST_COMPARTMENT__ELEMENT, SEMANTIC_LIST_COMPARTMENT__FILTERED_OBJECTS, SEMANTIC_LIST_COMPARTMENT__FILTERING, SEMANTIC_LIST_COMPARTMENT__FILTERING_KEYS, SEMANTIC_LIST_COMPARTMENT__LAYOUT_CONSTRAINT, SEMANTIC_LIST_COMPARTMENT__MUTABLE, SEMANTIC_LIST_COMPARTMENT__PERSISTED_CHILDREN, SEMANTIC_LIST_COMPARTMENT__SHOW_TITLE, SEMANTIC_LIST_COMPARTMENT__SORTED_OBJECTS, SEMANTIC_LIST_COMPARTMENT__SORTING, SEMANTIC_LIST_COMPARTMENT__SORTING_KEYS, SEMANTIC_LIST_COMPARTMENT__SOURCE_EDGES, SEMANTIC_LIST_COMPARTMENT__STYLES, SEMANTIC_LIST_COMPARTMENT__TARGET_EDGES, SEMANTIC_LIST_COMPARTMENT__TRANSIENT_CHILDREN, SEMANTIC_LIST_COMPARTMENT__TYPE, SEMANTIC_LIST_COMPARTMENT__VISIBLE, SEMANTIC_LIST_COMPARTMENT_FEATURE_COUNT, SHAPE, SHAPE__BOLD, SHAPE__DESCRIPTION, SHAPE__DIAGRAM, SHAPE__EANNOTATIONS, SHAPE__ELEMENT, SHAPE__FILL_COLOR, SHAPE__FONT_COLOR, SHAPE__FONT_HEIGHT, SHAPE__FONT_NAME, SHAPE__GRADIENT, SHAPE__ITALIC, SHAPE__LAYOUT_CONSTRAINT, SHAPE__LINE_COLOR, SHAPE__LINE_WIDTH, SHAPE__MUTABLE, SHAPE__PERSISTED_CHILDREN, SHAPE__ROUNDED_BENDPOINTS_RADIUS, SHAPE__SOURCE_EDGES, SHAPE__STRIKE_THROUGH, SHAPE__STYLES, SHAPE__TARGET_EDGES, SHAPE__TRANSIENT_CHILDREN, SHAPE__TRANSPARENCY, SHAPE__TYPE, SHAPE__UNDERLINE, SHAPE__VISIBLE, SHAPE_FEATURE_COUNT, SHAPE_STYLE, SHAPE_STYLE__BOLD, SHAPE_STYLE__DESCRIPTION, SHAPE_STYLE__FILL_COLOR, SHAPE_STYLE__FONT_COLOR, SHAPE_STYLE__FONT_HEIGHT, SHAPE_STYLE__FONT_NAME, SHAPE_STYLE__GRADIENT, SHAPE_STYLE__ITALIC, SHAPE_STYLE__LINE_COLOR, SHAPE_STYLE__LINE_WIDTH, SHAPE_STYLE__ROUNDED_BENDPOINTS_RADIUS, SHAPE_STYLE__STRIKE_THROUGH, SHAPE_STYLE__TRANSPARENCY, SHAPE_STYLE__UNDERLINE, SHAPE_STYLE_FEATURE_COUNT, SINGLE_VALUE_STYLE, SINGLE_VALUE_STYLE__INSTANCE_TYPE, SINGLE_VALUE_STYLE__NAME, SINGLE_VALUE_STYLE__RAW_VALUE, SINGLE_VALUE_STYLE_FEATURE_COUNT, SIZE, SIZE__HEIGHT, SIZE__WIDTH, SIZE_FEATURE_COUNT, SMOOTHNESS, SORT_KEY_MAP, SORTING, SORTING_DIRECTION, SORTING_STYLE, SORTING_STYLE__SORTED_OBJECTS, SORTING_STYLE__SORTING, SORTING_STYLE__SORTING_KEYS, SORTING_STYLE_FEATURE_COUNT, STANDARD_DIAGRAM, STANDARD_DIAGRAM__DESCRIPTION, STANDARD_DIAGRAM__DIAGRAM, STANDARD_DIAGRAM__EANNOTATIONS, STANDARD_DIAGRAM__ELEMENT, STANDARD_DIAGRAM__HORIZONTAL_GUIDES, STANDARD_DIAGRAM__MEASUREMENT_UNIT, STANDARD_DIAGRAM__MUTABLE, STANDARD_DIAGRAM__NAME, STANDARD_DIAGRAM__PAGE_HEIGHT, STANDARD_DIAGRAM__PAGE_WIDTH, STANDARD_DIAGRAM__PAGE_X, STANDARD_DIAGRAM__PAGE_Y, STANDARD_DIAGRAM__PERSISTED_CHILDREN, STANDARD_DIAGRAM__PERSISTED_EDGES, STANDARD_DIAGRAM__SOURCE_EDGES, STANDARD_DIAGRAM__STYLES, STANDARD_DIAGRAM__TARGET_EDGES, STANDARD_DIAGRAM__TRANSIENT_CHILDREN, STANDARD_DIAGRAM__TRANSIENT_EDGES, STANDARD_DIAGRAM__TYPE, STANDARD_DIAGRAM__VERTICAL_GUIDES, STANDARD_DIAGRAM__VISIBLE, STANDARD_DIAGRAM_FEATURE_COUNT, STRING_LIST_VALUE_STYLE, STRING_LIST_VALUE_STYLE__NAME, STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE, STRING_LIST_VALUE_STYLE_FEATURE_COUNT, STRING_OBJECT_CONVERTER, STRING_OBJECT_CONVERTER_FEATURE_COUNT, STRING_TO_PROPERTY_VALUE_MAP_ENTRY, STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY, STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE, STRING_TO_PROPERTY_VALUE_MAP_ENTRY_FEATURE_COUNT, STRING_VALUE_STYLE, STRING_VALUE_STYLE__NAME, STRING_VALUE_STYLE__STRING_VALUE, STRING_VALUE_STYLE_FEATURE_COUNT, STYLE, STYLE_FEATURE_COUNT, TEXT_ALIGNMENT, TEXT_STYLE, TEXT_STYLE__TEXT_ALIGNMENT, TEXT_STYLE_FEATURE_COUNT, TITLE_STYLE, TITLE_STYLE__SHOW_TITLE, TITLE_STYLE_FEATURE_COUNT, VIEW, VIEW__DIAGRAM, VIEW__EANNOTATIONS, VIEW__ELEMENT, VIEW__MUTABLE, VIEW__PERSISTED_CHILDREN, VIEW__SOURCE_EDGES, VIEW__STYLES, VIEW__TARGET_EDGES, VIEW__TRANSIENT_CHILDREN, VIEW__TYPE, VIEW__VISIBLE, VIEW_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` `getAlignment()`
`org.eclipse.emf.ecore.EClass` `getAnchor()`
`org.eclipse.emf.ecore.EAttribute` `getArrowStyle_ArrowSource()`
`org.eclipse.emf.ecore.EAttribute` `getArrowStyle_ArrowTarget()`
`org.eclipse.emf.ecore.EClass` `getArrowStyle()`
`org.eclipse.emf.ecore.EEnum` `getArrowType()`
`org.eclipse.emf.ecore.EClass` `getBasicCompartment()`
`org.eclipse.emf.ecore.EClass` `getBasicDecorationNode()`
`org.eclipse.emf.ecore.EClass` `getBasicSemanticCompartment()`
`org.eclipse.emf.ecore.EClass` `getBendpoints()`
`org.eclipse.emf.ecore.EAttribute` `getBooleanListValueStyle_BooleanListValue()`
`org.eclipse.emf.ecore.EClass` `getBooleanListValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getBooleanValueStyle_BooleanValue()`
`org.eclipse.emf.ecore.EClass` `getBooleanValueStyle()`
`org.eclipse.emf.ecore.EClass` `getBounds()`
`org.eclipse.emf.ecore.EAttribute` `getByteArrayValueStyle_ByteArrayValue()`
`org.eclipse.emf.ecore.EClass` `getByteArrayValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getCanonicalStyle_Canonical()`
`org.eclipse.emf.ecore.EClass` `getCanonicalStyle()`
`org.eclipse.emf.ecore.EClass` `getCompartment()`
`org.eclipse.emf.ecore.EClass` `getConnector()`
`org.eclipse.emf.ecore.EClass` `getConnectorStyle()`
`org.eclipse.emf.ecore.EReference` `getDataTypeStyle_InstanceType()`
`org.eclipse.emf.ecore.EClass` `getDataTypeStyle()`
`org.eclipse.emf.ecore.EClass` `getDecorationNode()`
`org.eclipse.emf.ecore.EAttribute` `getDescriptionStyle_Description()`
`org.eclipse.emf.ecore.EClass` `getDescriptionStyle()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_MeasurementUnit()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Name()`
`org.eclipse.emf.ecore.EReference` `getDiagram_PersistedEdges()`
`org.eclipse.emf.ecore.EReference` `getDiagram_TransientEdges()`
`org.eclipse.emf.ecore.EClass` `getDiagram()`
`org.eclipse.emf.ecore.EReference` `getDiagramLinkStyle_DiagramLink()`
`org.eclipse.emf.ecore.EClass` `getDiagramLinkStyle()`
`org.eclipse.emf.ecore.EClass` `getDiagramStyle()`
`org.eclipse.emf.ecore.EAttribute` `getDoubleListValueStyle_DoubleListValue()`
`org.eclipse.emf.ecore.EClass` `getDoubleListValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getDoubleValueStyle_DoubleValue()`
`org.eclipse.emf.ecore.EClass` `getDoubleValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getDrawerStyle_Collapsed()`
`org.eclipse.emf.ecore.EClass` `getDrawerStyle()`
`org.eclipse.emf.ecore.EReference` `getEdge_Bendpoints()`
`org.eclipse.emf.ecore.EReference` `getEdge_Source()`
`org.eclipse.emf.ecore.EReference` `getEdge_SourceAnchor()`
`org.eclipse.emf.ecore.EReference` `getEdge_Target()`
`org.eclipse.emf.ecore.EReference` `getEdge_TargetAnchor()`
`org.eclipse.emf.ecore.EClass` `getEdge()`
`org.eclipse.emf.ecore.EReference` `getEObjectListValueStyle_EObjectListValue()`
`org.eclipse.emf.ecore.EClass` `getEObjectListValueStyle()`
`org.eclipse.emf.ecore.EReference` `getEObjectValueStyle_EObjectValue()`
`org.eclipse.emf.ecore.EClass` `getEObjectValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_FillColor()`
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_Gradient()`
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_Transparency()`
`org.eclipse.emf.ecore.EClass` `getFillStyle()`
`org.eclipse.emf.ecore.EEnum` `getFiltering()`
`org.eclipse.emf.ecore.EReference` `getFilteringStyle_FilteredObjects()`
`org.eclipse.emf.ecore.EAttribute` `getFilteringStyle_Filtering()`
`org.eclipse.emf.ecore.EAttribute` `getFilteringStyle_FilteringKeys()`
`org.eclipse.emf.ecore.EClass` `getFilteringStyle()`
`org.eclipse.emf.ecore.EDataType` `getFilterKeyList()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Bold()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontColor()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontHeight()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontName()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Italic()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_StrikeThrough()`
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Underline()`
`org.eclipse.emf.ecore.EClass` `getFontStyle()`
`org.eclipse.emf.ecore.EDataType` `getGradientData()`
`org.eclipse.emf.ecore.EEnum` `getGradientStyle()`
`org.eclipse.emf.ecore.EReference` `getGuide_NodeMap()`
`org.eclipse.emf.ecore.EAttribute` `getGuide_Position()`
`org.eclipse.emf.ecore.EClass` `getGuide()`
`org.eclipse.emf.ecore.EReference` `getGuideStyle_HorizontalGuides()`
`org.eclipse.emf.ecore.EReference` `getGuideStyle_VerticalGuides()`
`org.eclipse.emf.ecore.EClass` `getGuideStyle()`
`org.eclipse.emf.ecore.EAttribute` `getHintedDiagramLinkStyle_Hint()`
`org.eclipse.emf.ecore.EClass` `getHintedDiagramLinkStyle()`
`org.eclipse.emf.ecore.EAttribute` `getIdentityAnchor_Id()`
`org.eclipse.emf.ecore.EClass` `getIdentityAnchor()`
`org.eclipse.emf.ecore.EAttribute` `getImage_Data()`
`org.eclipse.emf.ecore.EClass` `getImage()`
`org.eclipse.emf.ecore.EReference` `getImageBufferStyle_ImageBuffer()`
`org.eclipse.emf.ecore.EClass` `getImageBufferStyle()`
`org.eclipse.emf.ecore.EAttribute` `getImageStyle_AntiAlias()`
`org.eclipse.emf.ecore.EReference` `getImageStyle_CropBound()`
`org.eclipse.emf.ecore.EAttribute` `getImageStyle_MaintainAspectRatio()`
`org.eclipse.emf.ecore.EClass` `getImageStyle()`
`org.eclipse.emf.ecore.EAttribute` `getIntListValueStyle_IntListValue()`
`org.eclipse.emf.ecore.EClass` `getIntListValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getIntValueStyle_IntValue()`
`org.eclipse.emf.ecore.EClass` `getIntValueStyle()`
`org.eclipse.emf.ecore.EEnum` `getJumpLinkStatus()`
`org.eclipse.emf.ecore.EEnum` `getJumpLinkType()`
`org.eclipse.emf.ecore.EClass` `getLayoutConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getLineStyle_LineColor()`
`org.eclipse.emf.ecore.EAttribute` `getLineStyle_LineWidth()`
`org.eclipse.emf.ecore.EClass` `getLineStyle()`
`org.eclipse.emf.ecore.EEnum` `getLineType()`
`org.eclipse.emf.ecore.EAttribute` `getLineTypeStyle_LineType()`
`org.eclipse.emf.ecore.EClass` `getLineTypeStyle()`
`org.eclipse.emf.ecore.EClass` `getListCompartment()`
`org.eclipse.emf.ecore.EAttribute` `getListValueStyle_RawValuesList()`
`org.eclipse.emf.ecore.EClass` `getListValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getLocation_X()`
`org.eclipse.emf.ecore.EAttribute` `getLocation_Y()`
`org.eclipse.emf.ecore.EClass` `getLocation()`
`org.eclipse.emf.ecore.EEnum` `getMeasurementUnit()`
`org.eclipse.emf.ecore.EReference` `getMultiDiagramLinkStyle_DiagramLinks()`
`org.eclipse.emf.ecore.EClass` `getMultiDiagramLinkStyle()`
`org.eclipse.emf.ecore.EAttribute` `getNamedStyle_Name()`
`org.eclipse.emf.ecore.EClass` `getNamedStyle()`
`org.eclipse.emf.ecore.EReference` `getNode_LayoutConstraint()`
`org.eclipse.emf.ecore.EClass` `getNode()`
`org.eclipse.emf.ecore.EReference` `getNodeEntry_Key()`
`org.eclipse.emf.ecore.EAttribute` `getNodeEntry_Value()`
`org.eclipse.emf.ecore.EClass` `getNodeEntry()`
`NotationFactory` `getNotationFactory()`
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageHeight()`
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageWidth()`
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageX()`
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageY()`
`org.eclipse.emf.ecore.EClass` `getPageStyle()`
`org.eclipse.emf.ecore.EReference` `getPropertiesSetStyle_PropertiesMap()`
`org.eclipse.emf.ecore.EClass` `getPropertiesSetStyle()`
`org.eclipse.emf.ecore.EReference` `getPropertyValue_InstanceType()`
`org.eclipse.emf.ecore.EAttribute` `getPropertyValue_RawValue()`
`org.eclipse.emf.ecore.EClass` `getPropertyValue()`
`org.eclipse.emf.ecore.EAttribute` `getRatio_Value()`
`org.eclipse.emf.ecore.EClass` `getRatio()`
`org.eclipse.emf.ecore.EDataType` `getRelativeBendpointList()`
`org.eclipse.emf.ecore.EAttribute` `getRelativeBendpoints_Points()`
`org.eclipse.emf.ecore.EClass` `getRelativeBendpoints()`
`org.eclipse.emf.ecore.EAttribute` `getRoundedCornersStyle_RoundedBendpointsRadius()`
`org.eclipse.emf.ecore.EClass` `getRoundedCornersStyle()`
`org.eclipse.emf.ecore.EEnum` `getRouting()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_AvoidObstructions()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_ClosestDistance()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinksReverse()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinkStatus()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinkType()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_RoundedBendpointsRadius()` Deprecated. Use getRoundedCornersStyle_RoundedBendpointsRadius()
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_Routing()`
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_Smoothness()`
`org.eclipse.emf.ecore.EClass` `getRoutingStyle()`
`org.eclipse.emf.ecore.EClass` `getSemanticListCompartment()`
`org.eclipse.emf.ecore.EClass` `getShape()`
`org.eclipse.emf.ecore.EClass` `getShapeStyle()`
`org.eclipse.emf.ecore.EAttribute` `getSingleValueStyle_RawValue()`
`org.eclipse.emf.ecore.EClass` `getSingleValueStyle()`
`org.eclipse.emf.ecore.EAttribute` `getSize_Height()`
`org.eclipse.emf.ecore.EAttribute` `getSize_Width()`
`org.eclipse.emf.ecore.EClass` `getSize()`
`org.eclipse.emf.ecore.EEnum` `getSmoothness()`
`org.eclipse.emf.ecore.EEnum` `getSorting()`
`org.eclipse.emf.ecore.EEnum` `getSortingDirection()`
`org.eclipse.emf.ecore.EReference` `getSortingStyle_SortedObjects()`
`org.eclipse.emf.ecore.EAttribute` `getSortingStyle_Sorting()`
`org.eclipse.emf.ecore.EAttribute` `getSortingStyle_SortingKeys()`
`org.eclipse.emf.ecore.EClass` `getSortingStyle()`
`org.eclipse.emf.ecore.EDataType` `getSortKeyMap()`
`org.eclipse.emf.ecore.EClass` `getStandardDiagram()`
`org.eclipse.emf.ecore.EAttribute` `getStringListValueStyle_StringListValue()`
`org.eclipse.emf.ecore.EClass` `getStringListValueStyle()`
`org.eclipse.emf.ecore.EClass` `getStringObjectConverter()`
`org.eclipse.emf.ecore.EAttribute` `getStringToPropertyValueMapEntry_Key()`
`org.eclipse.emf.ecore.EReference` `getStringToPropertyValueMapEntry_Value()`
`org.eclipse.emf.ecore.EClass` `getStringToPropertyValueMapEntry()`
`org.eclipse.emf.ecore.EAttribute` `getStringValueStyle_StringValue()`
`org.eclipse.emf.ecore.EClass` `getStringValueStyle()`
`org.eclipse.emf.ecore.EClass` `getStyle()`
`org.eclipse.emf.ecore.EEnum` `getTextAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getTextStyle_TextAlignment()`
`org.eclipse.emf.ecore.EClass` `getTextStyle()`
`org.eclipse.emf.ecore.EAttribute` `getTitleStyle_ShowTitle()`
`org.eclipse.emf.ecore.EClass` `getTitleStyle()`
`org.eclipse.emf.ecore.EReference` `getView_Diagram()`
`org.eclipse.emf.ecore.EReference` `getView_Element()`
`org.eclipse.emf.ecore.EAttribute` `getView_Mutable()`
`org.eclipse.emf.ecore.EReference` `getView_PersistedChildren()`
`org.eclipse.emf.ecore.EReference` `getView_SourceEdges()`
`org.eclipse.emf.ecore.EReference` `getView_Styles()`
`org.eclipse.emf.ecore.EReference` `getView_TargetEdges()`
`org.eclipse.emf.ecore.EReference` `getView_TransientChildren()`
`org.eclipse.emf.ecore.EAttribute` `getView_Type()`
`org.eclipse.emf.ecore.EAttribute` `getView_Visible()`
`org.eclipse.emf.ecore.EClass` `getView()`
`static NotationPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static NotationPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `NotationPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  ** Generated **

### getEdge

    public org.eclipse.emf.ecore.EClass getEdge()

  Specified by:
    `getEdge` in interface `NotationPackage`
  Returns:
    the meta object for class 'Edge'.
  See Also:
    `Edge`
  ** Generated **

### getEdge_Source

    public org.eclipse.emf.ecore.EReference getEdge_Source()

  Specified by:
    `getEdge_Source` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `Edge.getSource()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Target

    public org.eclipse.emf.ecore.EReference getEdge_Target()

  Specified by:
    `getEdge_Target` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Target'.
  See Also:
    `Edge.getTarget()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Bendpoints

    public org.eclipse.emf.ecore.EReference getEdge_Bendpoints()

  Specified by:
    `getEdge_Bendpoints` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Bendpoints'.
  See Also:
    `Edge.getBendpoints()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_SourceAnchor

    public org.eclipse.emf.ecore.EReference getEdge_SourceAnchor()

  Specified by:
    `getEdge_SourceAnchor` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Source Anchor'.
  See Also:
    `Edge.getSourceAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_TargetAnchor

    public org.eclipse.emf.ecore.EReference getEdge_TargetAnchor()

  Specified by:
    `getEdge_TargetAnchor` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Target Anchor'.
  See Also:
    `Edge.getTargetAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getNode

    public org.eclipse.emf.ecore.EClass getNode()

  Specified by:
    `getNode` in interface `NotationPackage`
  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_LayoutConstraint

    public org.eclipse.emf.ecore.EReference getNode_LayoutConstraint()

  Specified by:
    `getNode_LayoutConstraint` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Layout Constraint'.
  See Also:
    `Node.getLayoutConstraint()`, `NotationPackage.getNode()`
  ** Generated **

### getStyle

    public org.eclipse.emf.ecore.EClass getStyle()

  Specified by:
    `getStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Style'.
  See Also:
    `Style`
  ** Generated **

### getFillStyle

    public org.eclipse.emf.ecore.EClass getFillStyle()

  Specified by:
    `getFillStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Fill Style'.
  See Also:
    `FillStyle`
  ** Generated **

### getFillStyle_FillColor

    public org.eclipse.emf.ecore.EAttribute getFillStyle_FillColor()

  Specified by:
    `getFillStyle_FillColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Fill Color'.
  See Also:
    `FillStyle.getFillColor()`, `NotationPackage.getFillStyle()`
  ** Generated **

### getFillStyle_Transparency

    public org.eclipse.emf.ecore.EAttribute getFillStyle_Transparency()

  Specified by:
    `getFillStyle_Transparency` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Transparency'.
  See Also:
    `FillStyle.getTransparency()`, `NotationPackage.getFillStyle()`
  ** Generated **

### getFillStyle_Gradient

    public org.eclipse.emf.ecore.EAttribute getFillStyle_Gradient()

  Specified by:
    `getFillStyle_Gradient` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Gradient'.
  See Also:
    `FillStyle.getGradient()`, `NotationPackage.getFillStyle()`
  ** Generated **

### getLineStyle

    public org.eclipse.emf.ecore.EClass getLineStyle()

  Specified by:
    `getLineStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Line Style'.
  See Also:
    `LineStyle`
  ** Generated **

### getLineStyle_LineColor

    public org.eclipse.emf.ecore.EAttribute getLineStyle_LineColor()

  Specified by:
    `getLineStyle_LineColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Line Color'.
  See Also:
    `LineStyle.getLineColor()`, `NotationPackage.getLineStyle()`
  ** Generated **

### getLineStyle_LineWidth

    public org.eclipse.emf.ecore.EAttribute getLineStyle_LineWidth()

  Specified by:
    `getLineStyle_LineWidth` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Line Width'.
  See Also:
    `LineStyle.getLineWidth()`, `NotationPackage.getLineStyle()`
  ** Generated **

### getFontStyle

    public org.eclipse.emf.ecore.EClass getFontStyle()

  Specified by:
    `getFontStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getFontStyle_FontColor

    public org.eclipse.emf.ecore.EAttribute getFontStyle_FontColor()

  Specified by:
    `getFontStyle_FontColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Color'.
  See Also:
    `FontStyle.getFontColor()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontName

    public org.eclipse.emf.ecore.EAttribute getFontStyle_FontName()

  Specified by:
    `getFontStyle_FontName` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Name'.
  See Also:
    `FontStyle.getFontName()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontHeight

    public org.eclipse.emf.ecore.EAttribute getFontStyle_FontHeight()

  Specified by:
    `getFontStyle_FontHeight` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Height'.
  See Also:
    `FontStyle.getFontHeight()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Bold

    public org.eclipse.emf.ecore.EAttribute getFontStyle_Bold()

  Specified by:
    `getFontStyle_Bold` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Bold'.
  See Also:
    `FontStyle.isBold()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Italic

    public org.eclipse.emf.ecore.EAttribute getFontStyle_Italic()

  Specified by:
    `getFontStyle_Italic` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Italic'.
  See Also:
    `FontStyle.isItalic()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Underline

    public org.eclipse.emf.ecore.EAttribute getFontStyle_Underline()

  Specified by:
    `getFontStyle_Underline` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Underline'.
  See Also:
    `FontStyle.isUnderline()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_StrikeThrough

    public org.eclipse.emf.ecore.EAttribute getFontStyle_StrikeThrough()

  Specified by:
    `getFontStyle_StrikeThrough` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Strike Through'.
  See Also:
    `FontStyle.isStrikeThrough()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getTitleStyle

    public org.eclipse.emf.ecore.EClass getTitleStyle()

  Specified by:
    `getTitleStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Title Style'.
  See Also:
    `TitleStyle`
  ** Generated **

### getTitleStyle_ShowTitle

    public org.eclipse.emf.ecore.EAttribute getTitleStyle_ShowTitle()

  Specified by:
    `getTitleStyle_ShowTitle` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Show Title'.
  See Also:
    `TitleStyle.isShowTitle()`, `NotationPackage.getTitleStyle()`
  ** Generated **

### getSortingStyle

    public org.eclipse.emf.ecore.EClass getSortingStyle()

  Specified by:
    `getSortingStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Sorting Style'.
  See Also:
    `SortingStyle`
  ** Generated **

### getSortingStyle_Sorting

    public org.eclipse.emf.ecore.EAttribute getSortingStyle_Sorting()

  Specified by:
    `getSortingStyle_Sorting` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Sorting'.
  See Also:
    `SortingStyle.getSorting()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortingKeys

    public org.eclipse.emf.ecore.EAttribute getSortingStyle_SortingKeys()

  Specified by:
    `getSortingStyle_SortingKeys` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Sorting Keys'.
  See Also:
    `SortingStyle.getSortingKeys()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortedObjects

    public org.eclipse.emf.ecore.EReference getSortingStyle_SortedObjects()

  Specified by:
    `getSortingStyle_SortedObjects` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Sorted Objects'.
  See Also:
    `SortingStyle.getSortedObjects()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getDescriptionStyle

    public org.eclipse.emf.ecore.EClass getDescriptionStyle()

  Specified by:
    `getDescriptionStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Description Style'.
  See Also:
    `DescriptionStyle`
  ** Generated **

### getDescriptionStyle_Description

    public org.eclipse.emf.ecore.EAttribute getDescriptionStyle_Description()

  Specified by:
    `getDescriptionStyle_Description` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DescriptionStyle.getDescription()`, `NotationPackage.getDescriptionStyle()`
  ** Generated **

### getLayoutConstraint

    public org.eclipse.emf.ecore.EClass getLayoutConstraint()

  Specified by:
    `getLayoutConstraint` in interface `NotationPackage`
  Returns:
    the meta object for class 'Layout Constraint'.
  See Also:
    `LayoutConstraint`
  ** Generated **

### getSize

    public org.eclipse.emf.ecore.EClass getSize()

  Specified by:
    `getSize` in interface `NotationPackage`
  Returns:
    the meta object for class 'Size'.
  See Also:
    `Size`
  ** Generated **

### getSize_Width

    public org.eclipse.emf.ecore.EAttribute getSize_Width()

  Specified by:
    `getSize_Width` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `Size.getWidth()`, `NotationPackage.getSize()`
  ** Generated **

### getSize_Height

    public org.eclipse.emf.ecore.EAttribute getSize_Height()

  Specified by:
    `getSize_Height` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `Size.getHeight()`, `NotationPackage.getSize()`
  ** Generated **

### getLocation

    public org.eclipse.emf.ecore.EClass getLocation()

  Specified by:
    `getLocation` in interface `NotationPackage`
  Returns:
    the meta object for class 'Location'.
  See Also:
    `Location`
  ** Generated **

### getLocation_X

    public org.eclipse.emf.ecore.EAttribute getLocation_X()

  Specified by:
    `getLocation_X` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Location.getX()`, `NotationPackage.getLocation()`
  ** Generated **

### getLocation_Y

    public org.eclipse.emf.ecore.EAttribute getLocation_Y()

  Specified by:
    `getLocation_Y` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Location.getY()`, `NotationPackage.getLocation()`
  ** Generated **

### getBounds

    public org.eclipse.emf.ecore.EClass getBounds()

  Specified by:
    `getBounds` in interface `NotationPackage`
  Returns:
    the meta object for class 'Bounds'.
  See Also:
    `Bounds`
  ** Generated **

### getRatio

    public org.eclipse.emf.ecore.EClass getRatio()

  Specified by:
    `getRatio` in interface `NotationPackage`
  Returns:
    the meta object for class 'Ratio'.
  See Also:
    `Ratio`
  ** Generated **

### getRatio_Value

    public org.eclipse.emf.ecore.EAttribute getRatio_Value()

  Specified by:
    `getRatio_Value` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Ratio.getValue()`, `NotationPackage.getRatio()`
  ** Generated **

### getAnchor

    public org.eclipse.emf.ecore.EClass getAnchor()

  Specified by:
    `getAnchor` in interface `NotationPackage`
  Returns:
    the meta object for class 'Anchor'.
  See Also:
    `Anchor`
  ** Generated **

### getBendpoints

    public org.eclipse.emf.ecore.EClass getBendpoints()

  Specified by:
    `getBendpoints` in interface `NotationPackage`
  Returns:
    the meta object for class 'Bendpoints'.
  See Also:
    `Bendpoints`
  ** Generated **

### getIdentityAnchor

    public org.eclipse.emf.ecore.EClass getIdentityAnchor()

  Specified by:
    `getIdentityAnchor` in interface `NotationPackage`
  Returns:
    the meta object for class 'Identity Anchor'.
  See Also:
    `IdentityAnchor`
  ** Generated **

### getIdentityAnchor_Id

    public org.eclipse.emf.ecore.EAttribute getIdentityAnchor_Id()

  Specified by:
    `getIdentityAnchor_Id` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IdentityAnchor.getId()`, `NotationPackage.getIdentityAnchor()`
  ** Generated **

### getRoutingStyle

    public org.eclipse.emf.ecore.EClass getRoutingStyle()

  Specified by:
    `getRoutingStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Routing Style'.
  See Also:
    `RoutingStyle`
  ** Generated **

### getRoutingStyle_Routing

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_Routing()

  Specified by:
    `getRoutingStyle_Routing` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Routing'.
  See Also:
    `RoutingStyle.getRouting()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_Smoothness

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_Smoothness()

  Specified by:
    `getRoutingStyle_Smoothness` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Smoothness'.
  See Also:
    `RoutingStyle.getSmoothness()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_AvoidObstructions

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_AvoidObstructions()

  Specified by:
    `getRoutingStyle_AvoidObstructions` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Avoid Obstructions'.
  See Also:
    `RoutingStyle.isAvoidObstructions()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_ClosestDistance

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_ClosestDistance()

  Specified by:
    `getRoutingStyle_ClosestDistance` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Closest Distance'.
  See Also:
    `RoutingStyle.isClosestDistance()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkStatus

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinkStatus()

  Specified by:
    `getRoutingStyle_JumpLinkStatus` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Link Status'.
  See Also:
    `RoutingStyle.getJumpLinkStatus()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkType

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinkType()

  Specified by:
    `getRoutingStyle_JumpLinkType` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Link Type'.
  See Also:
    `RoutingStyle.getJumpLinkType()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinksReverse

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinksReverse()

  Specified by:
    `getRoutingStyle_JumpLinksReverse` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Links Reverse'.
  See Also:
    `RoutingStyle.isJumpLinksReverse()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_RoundedBendpointsRadius

    public org.eclipse.emf.ecore.EAttribute getRoutingStyle_RoundedBendpointsRadius()

  Deprecated. Use getRoundedCornersStyle_RoundedBendpointsRadius()

  Left in for backwards compatibility

  Specified by:
    `getRoutingStyle_RoundedBendpointsRadius` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Rounded Bendpoints Radius'.
  See Also:
    `RoundedCornersStyle.getRoundedBendpointsRadius()`, `Left in for backwards compatibility`

### getView

    public org.eclipse.emf.ecore.EClass getView()

  Specified by:
    `getView` in interface `NotationPackage`
  Returns:
    the meta object for class 'View'.
  See Also:
    `View`
  ** Generated **

### getView_Visible

    public org.eclipse.emf.ecore.EAttribute getView_Visible()

  Specified by:
    `getView_Visible` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `View.isVisible()`, `NotationPackage.getView()`
  ** Generated **

### getView_Type

    public org.eclipse.emf.ecore.EAttribute getView_Type()

  Specified by:
    `getView_Type` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `View.getType()`, `NotationPackage.getView()`
  ** Generated **

### getView_Mutable

    public org.eclipse.emf.ecore.EAttribute getView_Mutable()

  Specified by:
    `getView_Mutable` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Mutable'.
  See Also:
    `View.isMutable()`, `NotationPackage.getView()`
  ** Generated **

### getView_SourceEdges

    public org.eclipse.emf.ecore.EReference getView_SourceEdges()

  Specified by:
    `getView_SourceEdges` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Source Edges'.
  See Also:
    `View.getSourceEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_TargetEdges

    public org.eclipse.emf.ecore.EReference getView_TargetEdges()

  Specified by:
    `getView_TargetEdges` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Target Edges'.
  See Also:
    `View.getTargetEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_PersistedChildren

    public org.eclipse.emf.ecore.EReference getView_PersistedChildren()

  Specified by:
    `getView_PersistedChildren` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Persisted Children'.
  See Also:
    `View.getPersistedChildren()`, `NotationPackage.getView()`
  ** Generated **

### getView_Styles

    public org.eclipse.emf.ecore.EReference getView_Styles()

  Specified by:
    `getView_Styles` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `View.getStyles()`, `NotationPackage.getView()`
  ** Generated **

### getView_Element

    public org.eclipse.emf.ecore.EReference getView_Element()

  Specified by:
    `getView_Element` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `View.getElement()`, `NotationPackage.getView()`
  ** Generated **

### getView_Diagram

    public org.eclipse.emf.ecore.EReference getView_Diagram()

  Specified by:
    `getView_Diagram` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Diagram'.
  See Also:
    `View.getDiagram()`, `NotationPackage.getView()`
  ** Generated **

### getView_TransientChildren

    public org.eclipse.emf.ecore.EReference getView_TransientChildren()

  Specified by:
    `getView_TransientChildren` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Transient Children'.
  See Also:
    `View.getTransientChildren()`, `NotationPackage.getView()`
  ** Generated **

### getRelativeBendpoints

    public org.eclipse.emf.ecore.EClass getRelativeBendpoints()

  Specified by:
    `getRelativeBendpoints` in interface `NotationPackage`
  Returns:
    the meta object for class 'Relative Bendpoints'.
  See Also:
    `RelativeBendpoints`
  ** Generated **

### getRelativeBendpoints_Points

    public org.eclipse.emf.ecore.EAttribute getRelativeBendpoints_Points()

  Specified by:
    `getRelativeBendpoints_Points` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Points'.
  See Also:
    `RelativeBendpoints.getPoints()`, `NotationPackage.getRelativeBendpoints()`
  ** Generated **

### getDiagram

    public org.eclipse.emf.ecore.EClass getDiagram()

  Specified by:
    `getDiagram` in interface `NotationPackage`
  Returns:
    the meta object for class 'Diagram'.
  See Also:
    `Diagram`
  ** Generated **

### getDiagram_Name

    public org.eclipse.emf.ecore.EAttribute getDiagram_Name()

  Specified by:
    `getDiagram_Name` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Diagram.getName()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_MeasurementUnit

    public org.eclipse.emf.ecore.EAttribute getDiagram_MeasurementUnit()

  Specified by:
    `getDiagram_MeasurementUnit` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Measurement Unit'.
  See Also:
    `Diagram.getMeasurementUnit()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_PersistedEdges

    public org.eclipse.emf.ecore.EReference getDiagram_PersistedEdges()

  Specified by:
    `getDiagram_PersistedEdges` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Persisted Edges'.
  See Also:
    `Diagram.getPersistedEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_TransientEdges

    public org.eclipse.emf.ecore.EReference getDiagram_TransientEdges()

  Specified by:
    `getDiagram_TransientEdges` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Transient Edges'.
  See Also:
    `Diagram.getTransientEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getImage

    public org.eclipse.emf.ecore.EClass getImage()

  Specified by:
    `getImage` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getImage_Data

    public org.eclipse.emf.ecore.EAttribute getImage_Data()

  Specified by:
    `getImage_Data` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `Image.getData()`, `NotationPackage.getImage()`
  ** Generated **

### getCanonicalStyle

    public org.eclipse.emf.ecore.EClass getCanonicalStyle()

  Specified by:
    `getCanonicalStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Canonical Style'.
  See Also:
    `CanonicalStyle`
  ** Generated **

### getCanonicalStyle_Canonical

    public org.eclipse.emf.ecore.EAttribute getCanonicalStyle_Canonical()

  Specified by:
    `getCanonicalStyle_Canonical` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Canonical'.
  See Also:
    `CanonicalStyle.isCanonical()`, `NotationPackage.getCanonicalStyle()`
  ** Generated **

### getShapeStyle

    public org.eclipse.emf.ecore.EClass getShapeStyle()

  Specified by:
    `getShapeStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Shape Style'.
  See Also:
    `ShapeStyle`
  ** Generated **

### getConnectorStyle

    public org.eclipse.emf.ecore.EClass getConnectorStyle()

  Specified by:
    `getConnectorStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Connector Style'.
  See Also:
    `ConnectorStyle`
  ** Generated **

### getPageStyle

    public org.eclipse.emf.ecore.EClass getPageStyle()

  Specified by:
    `getPageStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Page Style'.
  See Also:
    `PageStyle`
  ** Generated **

### getPageStyle_PageX

    public org.eclipse.emf.ecore.EAttribute getPageStyle_PageX()

  Specified by:
    `getPageStyle_PageX` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page X'.
  See Also:
    `PageStyle.getPageX()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageY

    public org.eclipse.emf.ecore.EAttribute getPageStyle_PageY()

  Specified by:
    `getPageStyle_PageY` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Y'.
  See Also:
    `PageStyle.getPageY()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageWidth

    public org.eclipse.emf.ecore.EAttribute getPageStyle_PageWidth()

  Specified by:
    `getPageStyle_PageWidth` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Width'.
  See Also:
    `PageStyle.getPageWidth()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageHeight

    public org.eclipse.emf.ecore.EAttribute getPageStyle_PageHeight()

  Specified by:
    `getPageStyle_PageHeight` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Height'.
  See Also:
    `PageStyle.getPageHeight()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getDrawerStyle

    public org.eclipse.emf.ecore.EClass getDrawerStyle()

  Specified by:
    `getDrawerStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Drawer Style'.
  See Also:
    `DrawerStyle`
  ** Generated **

### getDrawerStyle_Collapsed

    public org.eclipse.emf.ecore.EAttribute getDrawerStyle_Collapsed()

  Specified by:
    `getDrawerStyle_Collapsed` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Collapsed'.
  See Also:
    `DrawerStyle.isCollapsed()`, `NotationPackage.getDrawerStyle()`
  ** Generated **

### getGuideStyle

    public org.eclipse.emf.ecore.EClass getGuideStyle()

  Specified by:
    `getGuideStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Guide Style'.
  See Also:
    `GuideStyle`
  ** Generated **

### getGuideStyle_HorizontalGuides

    public org.eclipse.emf.ecore.EReference getGuideStyle_HorizontalGuides()

  Specified by:
    `getGuideStyle_HorizontalGuides` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Horizontal Guides'.
  See Also:
    `GuideStyle.getHorizontalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuideStyle_VerticalGuides

    public org.eclipse.emf.ecore.EReference getGuideStyle_VerticalGuides()

  Specified by:
    `getGuideStyle_VerticalGuides` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Vertical Guides'.
  See Also:
    `GuideStyle.getVerticalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuide

    public org.eclipse.emf.ecore.EClass getGuide()

  Specified by:
    `getGuide` in interface `NotationPackage`
  Returns:
    the meta object for class 'Guide'.
  See Also:
    `Guide`
  ** Generated **

### getGuide_Position

    public org.eclipse.emf.ecore.EAttribute getGuide_Position()

  Specified by:
    `getGuide_Position` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `Guide.getPosition()`, `NotationPackage.getGuide()`
  ** Generated **

### getGuide_NodeMap

    public org.eclipse.emf.ecore.EReference getGuide_NodeMap()

  Specified by:
    `getGuide_NodeMap` in interface `NotationPackage`
  Returns:
    the meta object for the map 'Node Map'.
  See Also:
    `Guide.getNodeMap()`, `NotationPackage.getGuide()`
  ** Generated **

### getNodeEntry

    public org.eclipse.emf.ecore.EClass getNodeEntry()

  Specified by:
    `getNodeEntry` in interface `NotationPackage`
  Returns:
    the meta object for class 'Node Entry'.
  See Also:
    `Map.Entry`
  ** Generated **

### getNodeEntry_Value

    public org.eclipse.emf.ecore.EAttribute getNodeEntry_Value()

  Specified by:
    `getNodeEntry_Value` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getNodeEntry_Key

    public org.eclipse.emf.ecore.EReference getNodeEntry_Key()

  Specified by:
    `getNodeEntry_Key` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getFilteringStyle

    public org.eclipse.emf.ecore.EClass getFilteringStyle()

  Specified by:
    `getFilteringStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Filtering Style'.
  See Also:
    `FilteringStyle`
  ** Generated **

### getFilteringStyle_Filtering

    public org.eclipse.emf.ecore.EAttribute getFilteringStyle_Filtering()

  Specified by:
    `getFilteringStyle_Filtering` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Filtering'.
  See Also:
    `FilteringStyle.getFiltering()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteringKeys

    public org.eclipse.emf.ecore.EAttribute getFilteringStyle_FilteringKeys()

  Specified by:
    `getFilteringStyle_FilteringKeys` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Filtering Keys'.
  See Also:
    `FilteringStyle.getFilteringKeys()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteredObjects

    public org.eclipse.emf.ecore.EReference getFilteringStyle_FilteredObjects()

  Specified by:
    `getFilteringStyle_FilteredObjects` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Filtered Objects'.
  See Also:
    `FilteringStyle.getFilteredObjects()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getDiagramStyle

    public org.eclipse.emf.ecore.EClass getDiagramStyle()

  Specified by:
    `getDiagramStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Diagram Style'.
  See Also:
    `DiagramStyle`
  ** Generated **

### getImageStyle

    public org.eclipse.emf.ecore.EClass getImageStyle()

  Specified by:
    `getImageStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image Style'.
  See Also:
    `ImageStyle`
  ** Generated **

### getImageStyle_AntiAlias

    public org.eclipse.emf.ecore.EAttribute getImageStyle_AntiAlias()

  Specified by:
    `getImageStyle_AntiAlias` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Anti Alias'.
  See Also:
    `ImageStyle.getAntiAlias()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_MaintainAspectRatio

    public org.eclipse.emf.ecore.EAttribute getImageStyle_MaintainAspectRatio()

  Specified by:
    `getImageStyle_MaintainAspectRatio` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Maintain Aspect Ratio'.
  See Also:
    `ImageStyle.getMaintainAspectRatio()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_CropBound

    public org.eclipse.emf.ecore.EReference getImageStyle_CropBound()

  Specified by:
    `getImageStyle_CropBound` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Crop Bound'.
  See Also:
    `ImageStyle.getCropBound()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageBufferStyle

    public org.eclipse.emf.ecore.EClass getImageBufferStyle()

  Specified by:
    `getImageBufferStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image Buffer Style'.
  See Also:
    `ImageBufferStyle`
  ** Generated **

### getImageBufferStyle_ImageBuffer

    public org.eclipse.emf.ecore.EReference getImageBufferStyle_ImageBuffer()

  Specified by:
    `getImageBufferStyle_ImageBuffer` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Image Buffer'.
  See Also:
    `ImageBufferStyle.getImageBuffer()`, `NotationPackage.getImageBufferStyle()`
  ** Generated **

### getPropertiesSetStyle

    public org.eclipse.emf.ecore.EClass getPropertiesSetStyle()

  Specified by:
    `getPropertiesSetStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Properties Set Style'.
  See Also:
    `PropertiesSetStyle`
  ** Generated **

### getPropertiesSetStyle_PropertiesMap

    public org.eclipse.emf.ecore.EReference getPropertiesSetStyle_PropertiesMap()

  Specified by:
    `getPropertiesSetStyle_PropertiesMap` in interface `NotationPackage`
  Returns:
    the meta object for the map 'Properties Map'.
  See Also:
    `PropertiesSetStyle.getPropertiesMap()`, `NotationPackage.getPropertiesSetStyle()`
  ** Generated **

### getStringToPropertyValueMapEntry

    public org.eclipse.emf.ecore.EClass getStringToPropertyValueMapEntry()

  Specified by:
    `getStringToPropertyValueMapEntry` in interface `NotationPackage`
  Returns:
    the meta object for class 'String To Property Value Map Entry'.
  See Also:
    `Map.Entry`
  ** Generated **

### getStringToPropertyValueMapEntry_Key

    public org.eclipse.emf.ecore.EAttribute getStringToPropertyValueMapEntry_Key()

  Specified by:
    `getStringToPropertyValueMapEntry_Key` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `Map.Entry`, `NotationPackage.getStringToPropertyValueMapEntry()`
  ** Generated **

### getStringToPropertyValueMapEntry_Value

    public org.eclipse.emf.ecore.EReference getStringToPropertyValueMapEntry_Value()

  Specified by:
    `getStringToPropertyValueMapEntry_Value` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Map.Entry`, `NotationPackage.getStringToPropertyValueMapEntry()`
  ** Generated **

### getPropertyValue

    public org.eclipse.emf.ecore.EClass getPropertyValue()

  Specified by:
    `getPropertyValue` in interface `NotationPackage`
  Returns:
    the meta object for class 'Property Value'.
  See Also:
    `PropertyValue`
  ** Generated **

### getPropertyValue_RawValue

    public org.eclipse.emf.ecore.EAttribute getPropertyValue_RawValue()

  Specified by:
    `getPropertyValue_RawValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `PropertyValue.getRawValue()`, `NotationPackage.getPropertyValue()`
  ** Generated **

### getPropertyValue_InstanceType

    public org.eclipse.emf.ecore.EReference getPropertyValue_InstanceType()

  Specified by:
    `getPropertyValue_InstanceType` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `PropertyValue.getInstanceType()`, `NotationPackage.getPropertyValue()`
  ** Generated **

### getSingleValueStyle

    public org.eclipse.emf.ecore.EClass getSingleValueStyle()

  Specified by:
    `getSingleValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Single Value Style'.
  See Also:
    `SingleValueStyle`
  ** Generated **

### getSingleValueStyle_RawValue

    public org.eclipse.emf.ecore.EAttribute getSingleValueStyle_RawValue()

  Specified by:
    `getSingleValueStyle_RawValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `SingleValueStyle.getRawValue()`, `NotationPackage.getSingleValueStyle()`
  ** Generated **

### getListValueStyle

    public org.eclipse.emf.ecore.EClass getListValueStyle()

  Specified by:
    `getListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'List Value Style'.
  See Also:
    `ListValueStyle`
  ** Generated **

### getListValueStyle_RawValuesList

    public org.eclipse.emf.ecore.EAttribute getListValueStyle_RawValuesList()

  Specified by:
    `getListValueStyle_RawValuesList` in interface `NotationPackage`
  Returns:
    the meta object for the attribute list 'Raw Values List'.
  See Also:
    `ListValueStyle.getRawValuesList()`, `NotationPackage.getListValueStyle()`
  ** Generated **

### getNamedStyle

    public org.eclipse.emf.ecore.EClass getNamedStyle()

  Specified by:
    `getNamedStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Named Style'.
  See Also:
    `NamedStyle`
  ** Generated **

### getNamedStyle_Name

    public org.eclipse.emf.ecore.EAttribute getNamedStyle_Name()

  Specified by:
    `getNamedStyle_Name` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `NamedStyle.getName()`, `NotationPackage.getNamedStyle()`
  ** Generated **

### getStringObjectConverter

    public org.eclipse.emf.ecore.EClass getStringObjectConverter()

  Specified by:
    `getStringObjectConverter` in interface `NotationPackage`
  Returns:
    the meta object for class 'String Object Converter'.
  See Also:
    `StringObjectConverter`
  ** Generated **

### getDataTypeStyle

    public org.eclipse.emf.ecore.EClass getDataTypeStyle()

  Specified by:
    `getDataTypeStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Data Type Style'.
  See Also:
    `DataTypeStyle`
  ** Generated **

### getDataTypeStyle_InstanceType

    public org.eclipse.emf.ecore.EReference getDataTypeStyle_InstanceType()

  Specified by:
    `getDataTypeStyle_InstanceType` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `DataTypeStyle.getInstanceType()`, `NotationPackage.getDataTypeStyle()`
  ** Generated **

### getIntValueStyle

    public org.eclipse.emf.ecore.EClass getIntValueStyle()

  Specified by:
    `getIntValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Int Value Style'.
  See Also:
    `IntValueStyle`
  ** Generated **

### getIntValueStyle_IntValue

    public org.eclipse.emf.ecore.EAttribute getIntValueStyle_IntValue()

  Specified by:
    `getIntValueStyle_IntValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Int Value'.
  See Also:
    `IntValueStyle.getIntValue()`, `NotationPackage.getIntValueStyle()`
  ** Generated **

### getIntListValueStyle

    public org.eclipse.emf.ecore.EClass getIntListValueStyle()

  Specified by:
    `getIntListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Int List Value Style'.
  See Also:
    `IntListValueStyle`
  ** Generated **

### getIntListValueStyle_IntListValue

    public org.eclipse.emf.ecore.EAttribute getIntListValueStyle_IntListValue()

  Specified by:
    `getIntListValueStyle_IntListValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute list 'Int List Value'.
  See Also:
    `IntListValueStyle.getIntListValue()`, `NotationPackage.getIntListValueStyle()`
  ** Generated **

### getBooleanValueStyle

    public org.eclipse.emf.ecore.EClass getBooleanValueStyle()

  Specified by:
    `getBooleanValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Boolean Value Style'.
  See Also:
    `BooleanValueStyle`
  ** Generated **

### getBooleanValueStyle_BooleanValue

    public org.eclipse.emf.ecore.EAttribute getBooleanValueStyle_BooleanValue()

  Specified by:
    `getBooleanValueStyle_BooleanValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Boolean Value'.
  See Also:
    `BooleanValueStyle.isBooleanValue()`, `NotationPackage.getBooleanValueStyle()`
  ** Generated **

### getDoubleValueStyle

    public org.eclipse.emf.ecore.EClass getDoubleValueStyle()

  Specified by:
    `getDoubleValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Double Value Style'.
  See Also:
    `DoubleValueStyle`
  ** Generated **

### getDoubleValueStyle_DoubleValue

    public org.eclipse.emf.ecore.EAttribute getDoubleValueStyle_DoubleValue()

  Specified by:
    `getDoubleValueStyle_DoubleValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Double Value'.
  See Also:
    `DoubleValueStyle.getDoubleValue()`, `NotationPackage.getDoubleValueStyle()`
  ** Generated **

### getDoubleListValueStyle

    public org.eclipse.emf.ecore.EClass getDoubleListValueStyle()

  Specified by:
    `getDoubleListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Double List Value Style'.
  See Also:
    `DoubleListValueStyle`
  ** Generated **

### getDoubleListValueStyle_DoubleListValue

    public org.eclipse.emf.ecore.EAttribute getDoubleListValueStyle_DoubleListValue()

  Specified by:
    `getDoubleListValueStyle_DoubleListValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute list 'Double List Value'.
  See Also:
    `DoubleListValueStyle.getDoubleListValue()`, `NotationPackage.getDoubleListValueStyle()`
  ** Generated **

### getStringValueStyle

    public org.eclipse.emf.ecore.EClass getStringValueStyle()

  Specified by:
    `getStringValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'String Value Style'.
  See Also:
    `StringValueStyle`
  ** Generated **

### getStringValueStyle_StringValue

    public org.eclipse.emf.ecore.EAttribute getStringValueStyle_StringValue()

  Specified by:
    `getStringValueStyle_StringValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'String Value'.
  See Also:
    `StringValueStyle.getStringValue()`, `NotationPackage.getStringValueStyle()`
  ** Generated **

### getStringListValueStyle

    public org.eclipse.emf.ecore.EClass getStringListValueStyle()

  Specified by:
    `getStringListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'String List Value Style'.
  See Also:
    `StringListValueStyle`
  ** Generated **

### getStringListValueStyle_StringListValue

    public org.eclipse.emf.ecore.EAttribute getStringListValueStyle_StringListValue()

  Specified by:
    `getStringListValueStyle_StringListValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute list 'String List Value'.
  See Also:
    `StringListValueStyle.getStringListValue()`, `NotationPackage.getStringListValueStyle()`
  ** Generated **

### getEObjectValueStyle

    public org.eclipse.emf.ecore.EClass getEObjectValueStyle()

  Specified by:
    `getEObjectValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'EObject Value Style'.
  See Also:
    `EObjectValueStyle`
  ** Generated **

### getEObjectValueStyle_EObjectValue

    public org.eclipse.emf.ecore.EReference getEObjectValueStyle_EObjectValue()

  Specified by:
    `getEObjectValueStyle_EObjectValue` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'EObject Value'.
  See Also:
    `EObjectValueStyle.getEObjectValue()`, `NotationPackage.getEObjectValueStyle()`
  ** Generated **

### getEObjectListValueStyle

    public org.eclipse.emf.ecore.EClass getEObjectListValueStyle()

  Specified by:
    `getEObjectListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'EObject List Value Style'.
  See Also:
    `EObjectListValueStyle`
  ** Generated **

### getEObjectListValueStyle_EObjectListValue

    public org.eclipse.emf.ecore.EReference getEObjectListValueStyle_EObjectListValue()

  Specified by:
    `getEObjectListValueStyle_EObjectListValue` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'EObject List Value'.
  See Also:
    `EObjectListValueStyle.getEObjectListValue()`, `NotationPackage.getEObjectListValueStyle()`
  ** Generated **

### getByteArrayValueStyle

    public org.eclipse.emf.ecore.EClass getByteArrayValueStyle()

  Specified by:
    `getByteArrayValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Byte Array Value Style'.
  See Also:
    `ByteArrayValueStyle`
  ** Generated **

### getByteArrayValueStyle_ByteArrayValue

    public org.eclipse.emf.ecore.EAttribute getByteArrayValueStyle_ByteArrayValue()

  Specified by:
    `getByteArrayValueStyle_ByteArrayValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Byte Array Value'.
  See Also:
    `ByteArrayValueStyle.getByteArrayValue()`, `NotationPackage.getByteArrayValueStyle()`
  ** Generated **

### getBooleanListValueStyle

    public org.eclipse.emf.ecore.EClass getBooleanListValueStyle()

  Specified by:
    `getBooleanListValueStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Boolean List Value Style'.
  See Also:
    `BooleanListValueStyle`
  ** Generated **

### getBooleanListValueStyle_BooleanListValue

    public org.eclipse.emf.ecore.EAttribute getBooleanListValueStyle_BooleanListValue()

  Specified by:
    `getBooleanListValueStyle_BooleanListValue` in interface `NotationPackage`
  Returns:
    the meta object for the attribute list 'Boolean List Value'.
  See Also:
    `BooleanListValueStyle.getBooleanListValue()`, `NotationPackage.getBooleanListValueStyle()`
  ** Generated **

### getHintedDiagramLinkStyle

    public org.eclipse.emf.ecore.EClass getHintedDiagramLinkStyle()

  Specified by:
    `getHintedDiagramLinkStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Hinted Diagram Link Style'.
  See Also:
    `HintedDiagramLinkStyle`
  ** Generated **

### getHintedDiagramLinkStyle_Hint

    public org.eclipse.emf.ecore.EAttribute getHintedDiagramLinkStyle_Hint()

  Specified by:
    `getHintedDiagramLinkStyle_Hint` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Hint'.
  See Also:
    `HintedDiagramLinkStyle.getHint()`, `NotationPackage.getHintedDiagramLinkStyle()`
  ** Generated **

### getDiagramLinkStyle

    public org.eclipse.emf.ecore.EClass getDiagramLinkStyle()

  Specified by:
    `getDiagramLinkStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Diagram Link Style'.
  See Also:
    `DiagramLinkStyle`
  ** Generated **

### getDiagramLinkStyle_DiagramLink

    public org.eclipse.emf.ecore.EReference getDiagramLinkStyle_DiagramLink()

  Specified by:
    `getDiagramLinkStyle_DiagramLink` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Diagram Link'.
  See Also:
    `DiagramLinkStyle.getDiagramLink()`, `NotationPackage.getDiagramLinkStyle()`
  ** Generated **

### getMultiDiagramLinkStyle

    public org.eclipse.emf.ecore.EClass getMultiDiagramLinkStyle()

  Specified by:
    `getMultiDiagramLinkStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Multi Diagram Link Style'.
  See Also:
    `MultiDiagramLinkStyle`
  ** Generated **

### getMultiDiagramLinkStyle_DiagramLinks

    public org.eclipse.emf.ecore.EReference getMultiDiagramLinkStyle_DiagramLinks()

  Specified by:
    `getMultiDiagramLinkStyle_DiagramLinks` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Diagram Links'.
  See Also:
    `MultiDiagramLinkStyle.getDiagramLinks()`, `NotationPackage.getMultiDiagramLinkStyle()`
  ** Generated **

### getTextStyle

    public org.eclipse.emf.ecore.EClass getTextStyle()

  Specified by:
    `getTextStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Text Style'.
  See Also:
    `TextStyle`
  ** Generated **

### getTextStyle_TextAlignment

    public org.eclipse.emf.ecore.EAttribute getTextStyle_TextAlignment()

  Specified by:
    `getTextStyle_TextAlignment` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Text Alignment'.
  See Also:
    `TextStyle.getTextAlignment()`, `NotationPackage.getTextStyle()`
  ** Generated **

### getLineTypeStyle

    public org.eclipse.emf.ecore.EClass getLineTypeStyle()

  Specified by:
    `getLineTypeStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Line Type Style'.
  See Also:
    `LineTypeStyle`
  ** Generated **

### getLineTypeStyle_LineType

    public org.eclipse.emf.ecore.EAttribute getLineTypeStyle_LineType()

  Specified by:
    `getLineTypeStyle_LineType` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Line Type'.
  See Also:
    `LineTypeStyle.getLineType()`, `NotationPackage.getLineTypeStyle()`
  ** Generated **

### getArrowStyle

    public org.eclipse.emf.ecore.EClass getArrowStyle()

  Specified by:
    `getArrowStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Arrow Style'.
  See Also:
    `ArrowStyle`
  ** Generated **

### getArrowStyle_ArrowSource

    public org.eclipse.emf.ecore.EAttribute getArrowStyle_ArrowSource()

  Specified by:
    `getArrowStyle_ArrowSource` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Arrow Source'.
  See Also:
    `ArrowStyle.getArrowSource()`, `NotationPackage.getArrowStyle()`
  ** Generated **

### getArrowStyle_ArrowTarget

    public org.eclipse.emf.ecore.EAttribute getArrowStyle_ArrowTarget()

  Specified by:
    `getArrowStyle_ArrowTarget` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Arrow Target'.
  See Also:
    `ArrowStyle.getArrowTarget()`, `NotationPackage.getArrowStyle()`
  ** Generated **

### getShape

    public org.eclipse.emf.ecore.EClass getShape()

  Specified by:
    `getShape` in interface `NotationPackage`
  Returns:
    the meta object for class 'Shape'.
  See Also:
    `Shape`
  ** Generated **

### getCompartment

    public org.eclipse.emf.ecore.EClass getCompartment()

  Specified by:
    `getCompartment` in interface `NotationPackage`
  Returns:
    the meta object for class 'Compartment'.
  See Also:
    `Compartment`
  ** Generated **

### getListCompartment

    public org.eclipse.emf.ecore.EClass getListCompartment()

  Specified by:
    `getListCompartment` in interface `NotationPackage`
  Returns:
    the meta object for class 'List Compartment'.
  See Also:
    `ListCompartment`
  ** Generated **

### getConnector

    public org.eclipse.emf.ecore.EClass getConnector()

  Specified by:
    `getConnector` in interface `NotationPackage`
  Returns:
    the meta object for class 'Connector'.
  See Also:
    `Connector`
  ** Generated **

### getStandardDiagram

    public org.eclipse.emf.ecore.EClass getStandardDiagram()

  Specified by:
    `getStandardDiagram` in interface `NotationPackage`
  Returns:
    the meta object for class 'Standard Diagram'.
  See Also:
    `StandardDiagram`
  ** Generated **

### getDecorationNode

    public org.eclipse.emf.ecore.EClass getDecorationNode()

  Specified by:
    `getDecorationNode` in interface `NotationPackage`
  Returns:
    the meta object for class 'Decoration Node'.
  See Also:
    `DecorationNode`
  ** Generated **

### getBasicDecorationNode

    public org.eclipse.emf.ecore.EClass getBasicDecorationNode()

  Specified by:
    `getBasicDecorationNode` in interface `NotationPackage`
  Returns:
    the meta object for class 'Basic Decoration Node'.
  See Also:
    `BasicDecorationNode`
  ** Generated **

### getBasicCompartment

    public org.eclipse.emf.ecore.EClass getBasicCompartment()

  Specified by:
    `getBasicCompartment` in interface `NotationPackage`
  Returns:
    the meta object for class 'Basic Compartment'.
  See Also:
    `BasicCompartment`
  ** Generated **

### getBasicSemanticCompartment

    public org.eclipse.emf.ecore.EClass getBasicSemanticCompartment()

  Specified by:
    `getBasicSemanticCompartment` in interface `NotationPackage`
  Returns:
    the meta object for class 'Basic Semantic Compartment'.
  See Also:
    `BasicSemanticCompartment`
  ** Generated **

### getSemanticListCompartment

    public org.eclipse.emf.ecore.EClass getSemanticListCompartment()

  Specified by:
    `getSemanticListCompartment` in interface `NotationPackage`
  Returns:
    the meta object for class 'Semantic List Compartment'.
  See Also:
    `SemanticListCompartment`
  ** Generated **

### getRoundedCornersStyle

    public org.eclipse.emf.ecore.EClass getRoundedCornersStyle()

  Specified by:
    `getRoundedCornersStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Rounded Corners Style'.
  Since:
    1.4
  See Also:
    `RoundedCornersStyle`
  ** Generated **

### getRoundedCornersStyle_RoundedBendpointsRadius

    public org.eclipse.emf.ecore.EAttribute getRoundedCornersStyle_RoundedBendpointsRadius()

  Specified by:
    `getRoundedCornersStyle_RoundedBendpointsRadius` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Rounded Bendpoints Radius'.
  Since:
    1.4
  See Also:
    `RoundedCornersStyle.getRoundedBendpointsRadius()`, `NotationPackage.getRoundedCornersStyle()`
  ** Generated **

### getSorting

    public org.eclipse.emf.ecore.EEnum getSorting()

  Specified by:
    `getSorting` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Sorting'.
  Since:
    1.4
  See Also:
    `Sorting`
  ** Generated **

### getFiltering

    public org.eclipse.emf.ecore.EEnum getFiltering()

  Specified by:
    `getFiltering` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Filtering'.
  See Also:
    `Filtering`
  ** Generated **

### getRouting

    public org.eclipse.emf.ecore.EEnum getRouting()

  Specified by:
    `getRouting` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Routing'.
  See Also:
    `Routing`
  ** Generated **

### getSmoothness

    public org.eclipse.emf.ecore.EEnum getSmoothness()

  Specified by:
    `getSmoothness` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Smoothness'.
  See Also:
    `Smoothness`
  ** Generated **

### getJumpLinkStatus

    public org.eclipse.emf.ecore.EEnum getJumpLinkStatus()

  Specified by:
    `getJumpLinkStatus` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Jump Link Status'.
  See Also:
    `JumpLinkStatus`
  ** Generated **

### getJumpLinkType

    public org.eclipse.emf.ecore.EEnum getJumpLinkType()

  Specified by:
    `getJumpLinkType` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Jump Link Type'.
  See Also:
    `JumpLinkType`
  ** Generated **

### getAlignment

    public org.eclipse.emf.ecore.EEnum getAlignment()

  Specified by:
    `getAlignment` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getSortingDirection

    public org.eclipse.emf.ecore.EEnum getSortingDirection()

  Specified by:
    `getSortingDirection` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Sorting Direction'.
  See Also:
    `SortingDirection`
  ** Generated **

### getMeasurementUnit

    public org.eclipse.emf.ecore.EEnum getMeasurementUnit()

  Specified by:
    `getMeasurementUnit` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getTextAlignment

    public org.eclipse.emf.ecore.EEnum getTextAlignment()

  Specified by:
    `getTextAlignment` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Text Alignment'.
  See Also:
    `TextAlignment`
  ** Generated **

### getLineType

    public org.eclipse.emf.ecore.EEnum getLineType()

  Specified by:
    `getLineType` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Line Type'.
  See Also:
    `LineType`
  ** Generated **

### getArrowType

    public org.eclipse.emf.ecore.EEnum getArrowType()

  Specified by:
    `getArrowType` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Arrow Type'.
  See Also:
    `ArrowType`
  ** Generated **

### getGradientStyle

    public org.eclipse.emf.ecore.EEnum getGradientStyle()

  Specified by:
    `getGradientStyle` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Gradient Style'.
  See Also:
    `GradientStyle`
  ** Generated **

### getRelativeBendpointList

    public org.eclipse.emf.ecore.EDataType getRelativeBendpointList()

  Specified by:
    `getRelativeBendpointList` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Relative Bendpoint List'.
  See Also:
    `List`
  ** Generated **

### getFilterKeyList

    public org.eclipse.emf.ecore.EDataType getFilterKeyList()

  Specified by:
    `getFilterKeyList` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Filter Key List'.
  See Also:
    `List`
  ** Generated **

### getSortKeyMap

    public org.eclipse.emf.ecore.EDataType getSortKeyMap()

  Specified by:
    `getSortKeyMap` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Sort Key Map'.
  See Also:
    `Map`
  ** Generated **

### getGradientData

    public org.eclipse.emf.ecore.EDataType getGradientData()

  Specified by:
    `getGradientData` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Gradient Data'.
  See Also:
    `GradientData`
  ** Generated **

### getNotationFactory

    public NotationFactory getNotationFactory()

  Specified by:
    `getNotationFactory` in interface `NotationPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.